net.corda.node.services.config

## Interface SSLConfiguration

- All Known Subinterfaces:
    NodeConfiguration
  All Known Implementing Classes:
    FullNodeConfiguration

      public SSLConfiguration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `SSLConfiguration.DefaultImpls`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.file.Path` | `getCertificatesDirectory()`
    `java.nio.file.Path` | `getKeyStoreFile()`
    `java.lang.String` | `getKeyStorePassword()`
    `java.nio.file.Path` | `getTrustStoreFile()`
    `java.lang.String` | `getTrustStorePassword()`

- - ### Method Detail

    - #### getKeyStorePassword

          java.lang.String getKeyStorePassword()

    - #### getTrustStorePassword

          java.lang.String getTrustStorePassword()

    - #### getCertificatesDirectory

          java.nio.file.Path getCertificatesDirectory()

    - #### getKeyStoreFile

          java.nio.file.Path getKeyStoreFile()

    - #### getTrustStoreFile

          java.nio.file.Path getTrustStoreFile()